XPlanner

Docs

Create folder

Creates new idea folder under an allowed X account. Subscription and folder quotas apply.


POST

/folders

folders:create, folders:write (eski uyumluluk)

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Idempotency-Key

*
string

Unique value of 1-255 characters to safely retry the same write request.

Content-Type

string

Use application/json when sending JSON body.

Body

accountId

*
string

The XPlanner account ID to which the folder will be linked.

name

*
string

Folder name. Maximum 120 characters.

color

string

blue, green, lime, yellow, orange, red, purple, black or gray. Default is blue.

order

integer

Ranking value. An integer greater than or equal to zero.

isPinned

boolean

Creates the folder as pinned.

Folder behavior

color

default blue

Valid values ​​are blue, green, lime, yellow, orange, red, purple, black and gray.

order

otomatik

If not sent, the folder is added to the end of existing folders in the same account.

isPinned

default false

If true is sent, the folder will be created as pinned.

Cevaplar

201

The folder has been created.

409

Idempotency-Key conflict or operation in progress.

cURL

curl -X POST https://api.xplanner.co/v1/folders \  -H "Authorization: Bearer $XPLANNER_API_KEY" \  -H "Content-Type: application/json" \  -H "Idempotency-Key: folder-001" \  -d '{    "accountId": "acc_123",    "name": "Lansman fikirleri",    "color": "blue",    "isPinned": true  }'

Cevap

{  "data": {    "id": "fld_123",    "accountId": "acc_123",    "name": "Lansman fikirleri",    "color": "blue",    "isPinned": true,    "order": 0,    "workspaceId": "wrk_123",    "xUserId": "123456789",    "createdAt": "2026-05-15T09:00:00.000Z",    "updatedAt": "2026-05-15T09:00:00.000Z"  },  "requestId": "req_123"}